# Uses of Class
javax.imageio.plugins.tiff.TIFFTag

Packages that use TIFFTag
Package
Description
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

## Uses of TIFFTag in javax.imageio.plugins.tiff

Methods in javax.imageio.plugins.tiff that return TIFFTag
Modifier and Type
Method
Description
`TIFFTag`
TIFFDirectory.`getParentTag()`
Returns the parent `TIFFTag` of this directory if one has been defined or `null` otherwise.
`TIFFTag`
TIFFDirectory.`getTag​(int tagNumber)`
Returns the `TIFFTag` which has tag number equal to `tagNumber` or `null` if no such tag exists in the `TIFFTagSet`s associated with this directory.
`TIFFTag`
TIFFField.`getTag()`
Retrieves the tag associated with this field.
`TIFFTag`
TIFFTagSet.`getTag​(int tagNumber)`
Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
`TIFFTag`
TIFFTagSet.`getTag​(String tagName)`
Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
Constructors in javax.imageio.plugins.tiff with parameters of type TIFFTag
Modifier
Constructor
Description
``
`TIFFDirectory​(TIFFTagSet[] tagSets, TIFFTag parentTag)`
Constructs a `TIFFDirectory` which is aware of a given group of `TIFFTagSet`s.
``
`TIFFField​(TIFFTag tag, int type, int count)`
Constructs a data array using `createArrayForType()` and invokes `TIFFField(TIFFTag,int,int,Object)` with the supplied parameters and the created array.
``
`TIFFField​(TIFFTag tag, int type, int count, Object data)`
Constructs a `TIFFField` with arbitrary data.
``
`TIFFField​(TIFFTag tag, int type, long offset, TIFFDirectory dir)`
Constructs a `TIFFField` with an IFD offset and contents.
``
`TIFFField​(TIFFTag tag, long value)`
Constructs a `TIFFField` with a single non-negative integral value.
Constructor parameters in javax.imageio.plugins.tiff with type arguments of type TIFFTag
Modifier
Constructor
Description
``
`TIFFTagSet​(List<TIFFTag> tags)`
Constructs a `TIFFTagSet`, given a `List` of `TIFFTag` objects.